Skip to Content
APIsPool Data

Pool Data

Get pools returns real-time or historical liquidity pool information.

Get Pool Data

GEThttps://api.adesic.com/v2/dex/{exchange}/{blockchain}/pool/{pool}

Returns an object of real-time or historical liquidity pool data on a decentralized exchange.

Path Parameters

NameTypeDescription
exchange*stringDecentralized exchange Id
blockchain*stringBlockchain for decentralized exchange
pool*stringPool contract address.

Query Parameters

NameTypeDescription
apiKey*stringYour Adesic API Key
blockstringThe blockchain block number for historical data.
success-response.json
{ "id": "0x88e6a0c2ddd26feeb64f039a2c41296fcb3f5640", "createdAtBlockNumber": "12376729", "createdAtTimestamp": "1620250931", "feeGrowthGlobal0X128": "2339213828374794064772733186730511", "feeGrowthGlobal1X128": "1124563782191130285774006530912913360543821", "feeTier": "500", "feesUSD": "181745183.4919135479914293522951478", "liquidity": "28305971624606501584", "liquidityProviderCount": "0", "observationIndex": "0", "sqrtPrice": "1835788354854154061139441696943417", "tick": "201023", "token0Price": "1862.575758240059621582586480287811", "token1Price": "0.0005368909133365377831323097821773732", "totalValueLockedToken0": "238462791.284252", "totalValueLockedETH": "239468.5785032713504558275883499686", "totalValueLockedToken1": "111383.712791182627800798", "totalValueLockedUSD": "445832107.7770593355521122003026959", "totalValueLockedUSDUntracked": "0", "txCount": "4757298", "volumeUSD": "363490366983.8270959828587045902679", "volumeToken1": "173984279.507713960124759536", "volumeToken0": "363465170602.234639", "untrackedVolumeUSD": "363490366983.8270959828587045902679", "token0": { "id": "0xa0b86991c6218b36c1d19d4a2e9eb0ce3606eb48", "name": "USD Coin", "symbol": "USDC", "decimals": "6", "supply": "19312", "totalValueLocked": "707789671.655521", "totalValueLockedUSD": "707789671.6555209999999999999999999", "volume": "594284344988.549264", "volumeUSD": "594132695519.3544168842644818168896", "untrackedVolumeUSD": "593933640776.891916756840567652356", "txCount": "9459463", "derivedETH": "0.0005371272600739174638130374035007628", "feesUSD": "542209018.6537476591450399921439473", "poolCount": "0" }, "token1": { "id": "0xc02aaa39b223fe8d0a0e5c4f27ead9083c756cc2", "name": "Wrapped Ether", "symbol": "WETH", "decimals": "18", "supply": "19848", "totalValueLocked": "630444.275881665783438372", "totalValueLockedUSD": "1173733531.593437237928802029139364", "volume": "344093461.934212462042438875", "volumeUSD": "753761660033.2402028813427752717856", "untrackedVolumeUSD": "418002379998220.6202981897849956904", "txCount": "24829241", "derivedETH": "1", "feesUSD": "1205941841.69999761982134759117516", "poolCount": "0" } }

Copy & Paste Code

curl-example.sh
curl -H "api-key: API KEY" https://api.adesic.com/v2/dex/uniswap/ethereum/pool/0x88e6a0c2ddd26feeb64f039a2c41296fcb3f5640

Response Object

Example URL: https://api.adesic.com/v2/dex/uniswap/ethereum/pool/0x88e6a0c2ddd26feeb64f039a2c41296fcb3f5640 

response-example.json
{ "id": "0x88e6a0c2ddd26feeb64f039a2c41296fcb3f5640", "createdAtBlockNumber": "12376729", "createdAtTimestamp": "1620250931", "feeGrowthGlobal0X128": "2339213828374794064772733186730511", "feeGrowthGlobal1X128": "1124563782191130285774006530912913360543821", "feeTier": "500", "feesUSD": "181745183.4919135479914293522951478", "liquidity": "28305971624606501584", "liquidityProviderCount": "0", "observationIndex": "0", "sqrtPrice": "1835788354854154061139441696943417", "tick": "201023", "token0Price": "1862.575758240059621582586480287811", "token1Price": "0.0005368909133365377831323097821773732", "totalValueLockedToken0": "238462791.284252", "totalValueLockedETH": "239468.5785032713504558275883499686", "totalValueLockedToken1": "111383.712791182627800798", "totalValueLockedUSD": "445832107.7770593355521122003026959", "totalValueLockedUSDUntracked": "0", "txCount": "4757298", "volumeUSD": "363490366983.8270959828587045902679", "volumeToken1": "173984279.507713960124759536", "volumeToken0": "363465170602.234639", "untrackedVolumeUSD": "363490366983.8270959828587045902679", "token0": { "id": "0xa0b86991c6218b36c1d19d4a2e9eb0ce3606eb48", "name": "USD Coin", "symbol": "USDC", "decimals": "6", "supply": "19312", "totalValueLocked": "707789671.655521", "totalValueLockedUSD": "707789671.6555209999999999999999999", "volume": "594284344988.549264", "volumeUSD": "594132695519.3544168842644818168896", "untrackedVolumeUSD": "593933640776.891916756840567652356", "txCount": "9459463", "derivedETH": "0.0005371272600739174638130374035007628", "feesUSD": "542209018.6537476591450399921439473", "poolCount": "0" }, "token1": { "id": "0xc02aaa39b223fe8d0a0e5c4f27ead9083c756cc2", "name": "Wrapped Ether", "symbol": "WETH", "decimals": "18", "supply": "19848", "totalValueLocked": "630444.275881665783438372", "totalValueLockedUSD": "1173733531.593437237928802029139364", "volume": "344093461.934212462042438875", "volumeUSD": "753761660033.2402028813427752717856", "untrackedVolumeUSD": "418002379998220.6202981897849956904", "txCount": "24829241", "derivedETH": "1", "feesUSD": "1205941841.69999761982134759117516", "poolCount": "0" } }

Response Attributes

Attribute NameData TypeDescription
idstringPool contract address
createdAtBlockNumberstringBlock pool was created at
createdAtTimestampstringTimestamp pool was created at
feeGrowthGlobal0X128stringTracker for global fee growth
feeGrowthGlobal1X128stringTracker for global fee growth
feeTierstringFee amount
feesUSDstringFees in USD
liquiditystringIn range liquidity
liquidityProviderCountstringused to detect new exchanges
observationIndexstringCurrent observation index
sqrtPricestringcurrent price tracker
tickstringcurrent tick
token0Pricestringtoken0 per token1
token1Pricestringtoken1 per token0
totalValueLockedToken0stringtotal token 0 across all ticks
totalValueLockedETHstringtvl derived ETH
totalValueLockedToken1stringtotal token 1 across all ticks
totalValueLockedUSDstringtvl USD
totalValueLockedUSDUntrackedstringTVL derived in USD untracked
txCountstringall time number of transactions
volumeUSDstringall time USD swapped
volumeToken1stringall time token1 swapped
volumeToken0stringall time token0 swapped
untrackedVolumeUSDstringall time USD swapped, unfiltered for unreliable USD pools
token0stringtoken0
token1stringtoken1
idstringToken contract address
namestringToken name
symbolstringToken symbol
decimalsstringtoken decimals
supplystringtoken total supply
totalValueLockedstringliquidity in token units
totalValueLockedUSDstringliquidity in derived USD
volumestringvolume in token units
volumeUSDstringvolume in derived USD
untrackedVolumeUSDstringvolume in USD even on pools with less reliable USD values
txCountstringtransactions across all pools that include this token
derivedETHstringderived price in ETH
feesUSDstringfees in USD
poolCountstringnumber of pools containing this token

© Adesic LLC. All Rights Reserved